Bug 1257938 - devname not known for vfs_read/write probes on ppc64
devname not known for vfs_read/write probes on ppc64
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemtap (Show other bugs)
7.2
ppc64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Frank Ch. Eigler
qe-baseos-tools
:
Depends On: 1065459 1173076
Blocks: 1295396 1305230
  Show dependency treegraph
 
Reported: 2015-08-28 08:26 EDT by Tereza Cerna
Modified: 2017-08-02 02:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (64 bytes, text/plain)
2016-07-15 08:09 EDT, Jaroslav Škarvada
no flags Details

  None (edit)
Comment 2 Jaroslav Škarvada 2016-07-15 07:35:37 EDT
This seems like kernel/systemtap. It seems to work OK on other architectures. I think the vfs.write probe should also work on ppc64, reassigning to systemtap. Please reassign if it is kernel.

The code causing the problem:
https://git.fedorahosted.org/cgit/tuned.git/tree/systemtap/diskdevstat

usage:
# diskdevstat 1 10 0
Comment 3 Jaroslav Škarvada 2016-07-15 08:07:54 EDT
It seems vfs.read/write probes doesn't know devname on ppc64. Attaching stripped down reproducer.
Comment 4 Jaroslav Škarvada 2016-07-15 08:09 EDT
Created attachment 1180124 [details]
Reproducer
Comment 10 Frank Ch. Eigler 2016-12-07 20:33:33 EST
This apparent debuginfo problem can only clumsily be worked around with tapset-level workarounds like the .statement probe.  We don't have facilities to reliably avoid having to hard-code line numbers like that.

Note You need to log in before you can comment on or make changes to this bug.